Trillet AI logo

Unassign Phone Number from Agent

Unassign a phone number from an agent's call flow. This removes the assignment and automatically cleans up associated SIP trunking.

POSThttps://api.trillet.ai/v1/api/agents/{agentId}/release/{phoneNumberId}

Path Parameters

agentIdstringrequired

The ID of the agent whose phone number will be released.

phoneNumberIdstringrequired

The ID of the phone number to release from the agent.

Headers

x-workspace-idstringrequired

Workspace identifier for the API. Required to scope the release operation.

Request Body

confirmationboolean

Are you sure you want to unbind this?

Response Fields

agentobject

The updated agent object after the phone number has been released.

Request Body

No request body is required for this endpoint.

{
  "status": "success",
  "message": "Call flow released from phone number successfully"
}